---
extends: base.j2
default_block: main
title: linux.conf.au 2018 - Sydney 22-26 January 2018
description: linux.conf.au 2018 open hardware miniconf
heading: Miniconfs
motif: beach
---
{% markdown %}
## Open Hardware

<p class="lead">
Organised by Jonathan Oxer and Andy Gelme
</p>

### Call for Proposals

Call for proposals is now open!

<a class="btn btn-md btn-primary" href="https://rego.linux.conf.au/proposals/submit/openhardware-miniconf/">Submit a proposal</a>

### About
The concept of Free / Open Source Software is complemented by a strong community focused around Open Hardware and "maker culture".
One of the drivers of the popularity of the Open Hardware community is easy access to cheap devices such as the ESP32 and the Arduino, which is a microcontroller development board originally intended for classroom use but now a popular building block in all sorts of weird and wonderful hobbyist and professional projects.

Interest in Open Hardware continues to increase amongst FOSS enthusiasts, but there is also a barrier to entry with the perceived difficulty and dangers of dealing with hot soldering irons, unknown components and unfamiliar naming schemes.
The Open Hardware Miniconf will ease software developers into dealing with hardware.
Topics will cover both software and hardware issues, starting with simpler sessions suitable for Open Hardware beginners and progressing through to more advanced topics.

The day will run in two distinct halves.

The morning session will be a hands-on assembly tutorial where participants will have the chance to solder together a special hardware project developed just for the miniconf.
Instructors will be on hand to assist with soldering and the other mysteries of hardware assembly.
If you haven’t ever used a soldering iron before, this is the perfect opportunity to learn how to assemble your own circuit board in a safe, supervised environment.

Places for the morning assembly tutorial are strictly limited by space and available kits, so to participate in the morning session you must pre-register and purchase a kit of parts.
**NOTE: ticking the “Open Hardware Miniconf” box in the linux.conf.au registration form does NOT reserve you a place in the assembly tutorial.**

The assembly project for 2018 is a small 2-wheel robot that consists of the robot itself, plus a detachable control board containing an ESP32 microcontroller and an e-ink display.
When you’re not playing with the robot, you can detach the control board and wear it as an electronic conference badge!

The afternoon session will be presentations about Open Hardware topics, including information on software to run on the project built earlier in the day.
Anyone is welcome to attend the afternoon presentations, even if you didn’t participate in the morning assembly tutorial.

More details of the project such as costs and how to reserve your spot will be posted on the [Open Hardware Miniconf website](http://www.openhardwareconf.org) before the event.

{% endmarkdown %}